Imagick::resampleImage
Imagick::rollImage
The Imagick class
PHP Manual

# Imagick::resizeImage

(No version information available, might be only in CVS)

Imagick::resizeImage — Scales an image

### Description

bool Imagick::resizeImage ( int `$columns` , int `$rows` , int `$filter` , float `$blur` [, bool `$fit` ] )
Warning

This function is currently not documented; only its argument list is available.

Scales an image to the desired dimensions with a filter.

### Parameters

`columns`

  Width of the image

`rows`

  Height of the image

`filter`

  Refer to the list of filter constants.

`blur`

  The blur factor where > 1 is blurry, < 1 is sharp.

`fit`

  Optional fit paramater. Defaults to false.

### Return Values

Returns `TRUE` on success.

### ChangeLog

Version | Description
--- | ---
2.1.0 | Added optional fit parameter. This method now supports proportional scaling. Pass zero as either parameter for proportional scaling.

Imagick::resampleImage
Imagick::rollImage
The Imagick class
PHP Manual